import request from '@/config/axios'

export interface OpcDaDeviceVO {
  id: string
  serverName: string
  host: string
  user: string
  password: string
  progId: string
  clsId: string
}

export interface OpcDaDevicePageReqVO extends PageParam {
  serverName?: string
}

// 查询OpcDaDevice列表
export const getOpcDaDevicePage = (params: OpcDaDevicePageReqVO) => {
  return request.get({ url: '/data/channel/opcda/device/page', params })
}

// 查询OpcDaDevice详情
export const getOpcDaDevice = (id: number) => {
  return request.get({ url: `/data/channel/opcda/device/info/${id}`})
}

// 新增OpcDaDevice
export const createOpcDaDevice = (data: OpcDaDeviceVO) => {
  return request.post({ url: '/data/channel/opcda/device/create', data })
}

// 修改OpcDaDevice
export const updateOpcDaDevice = (data: OpcDaDeviceVO) => {
  return request.put({ url: '/data/channel/opcda/device/update', data })
}

// 删除OpcDaDevice
export const deleteOpcDaDevice = (id: number) => {
  return request.delete({ url: '/data/channel/opcda/device/delete?id=' + id })
}
